Package org.eclipse.jface.databinding.swt

# Interface ISWTObservableValue<T>

Type Parameters:
  `T` - type of the value of the observable

All Superinterfaces:
  `IObservable`, `IObservableValue<T>`, `ISWTObservable`

public interface ISWTObservableValue<T> extends ISWTObservable, IObservableValue<T>
`IObservableValue` observing an SWT widget.

Since:
  1.1

## Method Summary

### Methods inherited from interface org.eclipse.core.databinding.observable.IObservable

`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

### Methods inherited from interface org.eclipse.core.databinding.observable.value.IObservableValue

`addValueChangeListener, getValue, getValueType, removeValueChangeListener, setValue`

### Methods inherited from interface org.eclipse.jface.databinding.swt.ISWTObservable

`getWidget`